Bug 819744 - host name can not be provision with "."
host name can not be provision with "."
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Einav Cohen
infra
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 02:46 EDT by Avihai Shoham
Modified: 2016-01-28 16:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-05-08 02:46:13 EDT
when trying to set host name with IP address i gets an error from UI 
"Error: "Host name must be formed of "a-z0-9A-Z" and "-_""

engine log prints

"CanDoAction of action AddVds failed. Reasons:VALIDATION.VDS.NAME.INVALID"

this is allow in downstream, and worked in upstream.


Steps to Reproduce:
1.add new/edit host while "host name" contain "." (dot)
2.
3.
  
Actual results:
failed


Expected results:
allow dots , so host name can contain IPs
Comment 1 Avihai Shoham 2012-05-08 02:47:59 EDT
works on IC155.1
Comment 2 Haim 2012-05-08 09:19:06 EDT
(In reply to comment #1)
> works on IC155.1

fixed in change http://gerrit.ovirt.org/#change,4178
Comment 3 Avihai Shoham 2012-05-15 05:25:51 EDT
verified 
dev evn last hash commit 76d778768913f15672423fccdd928a84937e565d

Note You need to log in before you can comment on or make changes to this bug.